LibreOffice: OLE2Shape Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
OLE2Shape Service Referencepublished

This service is implemented by the OLE2 presentation shape. More...

Inheritance diagram for OLE2Shape:

## Included Services
service | com::sun::star::presentation::Shape
service | com::sun::star::drawing::OLE2Shape
Included Services inherited from OLE2Shape
service | com::sun::star::drawing::Shape

## Additional Inherited Members
Public Types inherited from Shape
typedef sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of shape properties, used as a string-any map for interim interop purposes.
Exported Interfaces inherited from Shape
interface | com::sun::star::beans::XPropertySet
| handles all the properties of this instance.
interface | com::sun::star::drawing::XShape
| This gives you the size and position of this Shape and lets you change it.
interface | com::sun::star::lang::XComponent
| is used for lifetime control of this Shape.
interface | com::sun::star::drawing::XShapeDescriptor
| The XShapeDescriptor tells you what kind of Shape this instance is.
interface | com::sun::star::drawing::XGluePointsSupplier
| This interfaces gives access to an optional container of gluepoints.
interface | com::sun::star::beans::XTolerantMultiPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Attributes inherited from Shape
string | Bookmark
| is a generic URL for the property OnClick.
com::sun::star::util::Color | DimColor
| This is the color for dimming this shape.
boolean | DimHide
| If this property and the property com::sun::star::drawing::Shape::DimPrev are both `TRUE`, the shape is hidden instead of dimmed to a color.
boolean | DimPrevious
| If this property is `TRUE`, this shape is dimmed to the color of property com::sun::star::drawing::Shape::DimColor after executing its animation effect.
com::sun::star::presentation::AnimationEffect | Effect
| selects the animation effect of this shape.
boolean | IsEmptyPresentationObject
| If this is a default presentation object and if it is empty, this property is `TRUE`.
boolean | IsPresentationObject
| If this is a presentation object, this property is `TRUE`.
com::sun::star::presentation::ClickAction | OnClick
| selects an action performed after the user clicks on this shape.
boolean | PlayFull
| If this property is `TRUE`, the sound of this shape is played in full.
long | PresentationOrder
| This is the position of this shape in the order of the shapes which can be animated on its page.
string | Sound
| This is the URL to a sound file that is played while the animation effect of this shape is running.
boolean | SoundOn
| If this property is set to `TRUE`, a sound is played while the animation effect is executed.
com::sun::star::presentation::AnimationSpeed | Speed
| This is the speed of the animation effect.
com::sun::star::presentation::AnimationEffect | TextEffect
| This is the animation effect for the text inside this shape.
long | Verb
| specifies an "OLE2" verb for the ClickAction VERB in the property com::sun::star::drawing::Shape::OnClick.
Public Attributes inherited from OLE2Shape
string | CLSID
| If you get this property you get the CLSID of the OLE2 document stream contained in this OLE2 shape.
string | PersistName
| this is the internal storage name that keeps this OLE2 persist.
com::sun::star::frame::XModel | Model
| This is the model for the OLE2 inside this shape.
boolean | IsInternal
| This property returns `TRUE` for all OLE2 that are internal Office components.
Public Attributes inherited from Shape
long | ZOrder
| is used to query or change the ZOrder of this Shape.
short | LayerID
| This is the ID of the Layer to which this Shape is attached.
string | LayerName
| This is the name of the Layer to which this Shape is attached.
boolean | Visible
| If this is `FALSE`, the Shape is not visible on screen outputs.
boolean | Printable
| If this is `FALSE`, the Shape is not visible on printer outputs.
boolean | MoveProtect
| With this set to `TRUE`, this Shape cannot be moved interactively in the user interface.
string | Name
| This is the name of this Shape.
boolean | SizeProtect
| With this set to `TRUE`, this Shape may not be sized interactively in the user interface.
com::sun::star::style::XStyle | Style
| this property lets you get and set a style for this shape.
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape.
com::sun::star::container::XNameContainer | ShapeUserDefinedAttributes
| this property stores xml attributes.
long | NavigationOrder
| this property stores the navigation order of this shape.
string | Hyperlink
| this property lets you get and set a hyperlink for this shape.
short | RelativeHeight
| contains the relative height of the object.
short | RelativeWidth
| contains the relative width of the object.
short | RelativeHeightRelation
| contains the relation of the relative height of the object.
short | RelativeWidthRelation
| contains the relation of the relative width of the object.
Protected Member Functions inherited from XGluePointsSupplier
com::sun::star::container::XIndexContainer | getGluePoints ()
Protected Member Functions inherited from XTolerantMultiPropertySet
sequence< com::sun::star::beans::SetPropertyTolerantFailed > | setPropertyValuesTolerant ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the values to the properties with the specified names.
sequence< com::sun::star::beans::GetPropertyTolerantResult > | getPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve the values of the specified properties
sequence< com::sun::star::beans::GetDirectPropertyTolerantResult > | getDirectPropertyValuesTolerant ([in] sequence< string > aPropertyNames)
| retrieve only those values of the specified properties which are direct values.

## Detailed Description

This service is implemented by the OLE2 presentation shape.

Presentation shapes can be used in a presentation page layouts and their position and size is by default set by the presentation shapes on the com::sun::star::drawing::MasterPage.

## Exported Interfaces

## ◆ com::sun::star::drawing::OLE2Shape

service com::sun::star::drawing::OLE2Shape

## ◆ com::sun::star::presentation::Shape

service com::sun::star::presentation::Shape

The documentation for this service was generated from the following file:

- com/sun/star/presentation/OLE2Shape.idl